﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class HUD : MonoBehaviour {
	Image gameOverText;
	Image heartIcon1;
	Image heartIcon2;
	Image heartIcon3;
	Text scoreText;
	void Start () {
		gameOverText = GameObject.Find("GameOverText").GetComponent<Image> ();
		heartIcon1 = GameObject.Find("HeartIcon1").GetComponent<Image> ();
		heartIcon2 = GameObject.Find("HeartIcon2").GetComponent<Image> ();
		heartIcon3 = GameObject.Find("HeartIcon3").GetComponent<Image> ();
		scoreText = GameObject.Find ("ScoreValueText").GetComponent<Text> ();
	}
	public void showGameOver()
	{
		gameOverText.enabled = true;
	}
	public void updateLife(int life)
	{
		Image[] hearths = {heartIcon1, heartIcon2, heartIcon3};
		for (int i = 0; i < hearths.Length; ++i) 
		{
			if(life > i)
			{
				hearths[i].enabled = true;
			}
			else
			{
				hearths[i].enabled = false;
			}
		}
		
		if (life == -1) {
			showGameOver();			
		}
	}
	public void updateScore(int score)
	{
		scoreText.text = System.Convert.ToString (score);
	}
}
