﻿using UnityEngine;
using System.Collections;

public class PlayerStatus : MonoBehaviour {
	public int life = 3;
	public int points = 0;
	float gameOverTime = 0;
	HUD HUDObject;
	void Start()
	{
		HUDObject = GameObject.Find ("HUD").GetComponent<HUD>();
	}
	public void addPlayerPoints(int value)
	{
		points += value;
		HUDObject.updateScore (points);
	}
	public void decreaseLife()
	{
		life--;
		HUDObject.updateLife (life);
	}
	public bool increaseLife()
	{
		if (life == 3)
			return false;
		life++;
		HUDObject.updateLife (life);
		return true;
	}
	public void playerDies()
	{
		life = -1;
		HUDObject.updateLife (life);
	}
	void Update () {
		if (life <= -1) {
			gameOverTime += Time.deltaTime;
			if(gameOverTime > 3.0f)
				Application.LoadLevel("scene2");
		}
	}

}
